package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.GP_PricingEspecificoCategoria;
import com.rjconsultores.ventaboletos.entidad.PricingEspecificoCategoria;

public class RenderPricingEspecificoCategoria implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		if(o instanceof PricingEspecificoCategoria) {
			PricingEspecificoCategoria pec = (PricingEspecificoCategoria) o;
	
			if (!pec.getActivo()) {
				return;
			}
	
			Listcell lc = new Listcell(pec.getCategoria().getCategoriaId().toString());
			lc.setParent(lstm);
	
			lc = new Listcell(pec.getCategoria().getDesccategoria());
			lc.setParent(lstm);
		} else {
			GP_PricingEspecificoCategoria pec = (GP_PricingEspecificoCategoria) o;
			
			if (!pec.getActivo()) {
				return;
			}
	
			Listcell lc = new Listcell(pec.getCategoria().getCategoriaId().toString());
			lc.setParent(lstm);
	
			lc = new Listcell(pec.getCategoria().getDesccategoria());
			lc.setParent(lstm);
		}

	}

}
